package com.moppel.callback;

import android.app.Activity;
import android.app.AlertDialog;
import android.content.DialogInterface;
import android.content.Intent;
import android.net.Uri;
import android.os.Bundle;
import android.os.CountDownTimer;

public class AlertDialogActivity extends Activity
{
//	@SuppressLint("NewApi")
	@Override
	protected void onCreate(Bundle savedInstanceState)
	{
	    super.onCreate(savedInstanceState);

	    final String nummer = this.getIntent().getExtras().getString("nummer");

	    final AlertDialog.Builder builder = new AlertDialog.Builder(this);
	    builder.setTitle("Call back; schließt in 5 Sekunden");
	    builder.setMessage("Soll die Nummer: " + nummer + " zurückgerufen werden?");
	    builder.setCancelable(false);
	    builder.setPositiveButton("Ja, zurückrufen", new DialogInterface.OnClickListener() {
	    	@Override
	    	public void onClick(DialogInterface dialog, int id)	{
	    		final Intent intent = new Intent(Intent.ACTION_CALL);
	    		intent.setData(Uri.parse("tel:" + nummer));
	    		intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
	    		AlertDialogActivity.this.getApplicationContext().startActivity(intent);

	    		AlertDialogActivity.this.finish();
	    	}
	    });
	    builder.setNegativeButton("Nein, abbrechen", new DialogInterface.OnClickListener() {
	    	@Override
	    	public void onClick(DialogInterface dialog, int id)	{
	    		AlertDialogActivity.this.finish();
	    	}
	    });
	    final AlertDialog alert = builder.create();
	    alert.show();

	    final CountDownTimer timer = new CountDownTimer(10000, 1000) {

	    	@Override
			public void onTick(long pMillisUntilFinished) {
	    		alert.setTitle("Call back; schließt in " + pMillisUntilFinished / 1000 + " Sekunden");
	    	}

	    	@Override
			public void onFinish() {
	    		alert.dismiss();
	    		AlertDialogActivity.this.finish();
	    	}
	    };
	    timer.start();
	}
}
