package com.moppel.callback;

import android.content.BroadcastReceiver;
import android.content.Context;
import android.content.Intent;
import android.telephony.TelephonyManager;
import android.util.Log;

public class ReceiverPhoneState extends BroadcastReceiver
{
	static private String anrufNummer = null;

	@Override
	public void onReceive(final Context pContext, final Intent pIntent) {
		try {
	        final String phoneState = pIntent.getStringExtra(TelephonyManager.EXTRA_STATE);

	        if (TelephonyManager.EXTRA_STATE_RINGING.equals(phoneState)) {
	        	ReceiverPhoneState.anrufNummer = pIntent.getStringExtra(TelephonyManager.EXTRA_INCOMING_NUMBER);
	        }
	        else if (TelephonyManager.EXTRA_STATE_IDLE.equals(phoneState) && ReceiverPhoneState.anrufNummer != null) {
//		        Toast.makeText(pContext, ReceiverPhoneState.anrufNummer + " hat angerufen!", Toast.LENGTH_LONG).show();
		        final Intent intent = new Intent(pContext.getApplicationContext(), AlertDialogActivity.class);
		        intent.addFlags(Intent.FLAG_ACTIVITY_NEW_TASK);
		        intent.putExtra("nummer", ReceiverPhoneState.anrufNummer);
		        pContext.startActivity(intent);

		        ReceiverPhoneState.anrufNummer = null;
	        }
	        else {
		        ReceiverPhoneState.anrufNummer = null;
	        }
		} catch (Exception e) {
			Log.e("Phone Receive Error", " " + e);
		}

	}
}
